## martchus-qtutilities 6.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.3.0 FATAL_ERROR)

# meta data
set(META_PROJECT_NAME qtutilities)
set(META_PROJECT_VARNAME QT_UTILITIES)
set(META_APP_NAME "Qt Utilities")
set(META_APP_AUTHOR "Martchus")
set(META_APP_URL "https://github.com/${META_APP_AUTHOR}/${META_PROJECT_NAME}")
set(META_APP_DESCRIPTION
    "Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models")
set(META_VERSION_MAJOR 6)
set(META_VERSION_MINOR 6)
set(META_VERSION_PATCH 0)
set(META_APP_VERSION ${META_VERSION_MAJOR}.${META_VERSION_MINOR}.${META_VERSION_PATCH})

project(${META_PROJECT_NAME})

# add project files
set(HEADER_FILES
    misc/xmlparsermacros.h
    misc/undefxmlparsermacros.h
    misc/trylocker.h
    misc/adoptlocker.h
    misc/dialogutils.h
    misc/desktoputils.h
    misc/conversion.h
    misc/compat.h
    models/checklistmodel.h
    resources/qtconfigarguments.h
    resources/resources.h
    resources/importplugin.h)
set(SRC_FILES misc/dialogutils.cpp misc/desktoputils.cpp models/checklistmodel.cpp resources/qtconfigarguments.cpp
              resources/resources.cpp)
set(RES_FILES resources/qtutilsicons.qrc)

set(WIDGETS_HEADER_FILES
    aboutdialog/aboutdialog.h
    enterpassworddialog/enterpassworddialog.h
    settingsdialog/optioncategory.h
    settingsdialog/optioncategoryfiltermodel.h
    settingsdialog/optioncategorymodel.h
    settingsdialog/optionpage.h
    settingsdialog/settingsdialog.h
    settingsdialog/qtsettings.h
    widgets/buttonoverlay.h
    widgets/clearcombobox.h
    widgets/clearlineedit.h
    widgets/clearplaintextedit.h
    widgets/clearspinbox.h
    widgets/iconbutton.h
    widgets/pathselection.h
    paletteeditor/paletteeditor.h
    paletteeditor/colorbutton.h
    misc/recentmenumanager.h)
set(WIDGETS_SRC_FILES
    aboutdialog/aboutdialog.cpp
    enterpassworddialog/enterpassworddialog.cpp
    settingsdialog/optioncategory.cpp
    settingsdialog/optioncategoryfiltermodel.cpp
    settingsdialog/optioncategorymodel.cpp
    settingsdialog/optionpage.cpp
    settingsdialog/settingsdialog.cpp
    settingsdialog/qtsettings.cpp
    widgets/buttonoverlay.cpp
    widgets/clearcombobox.cpp
    widgets/clearlineedit.cpp
    widgets/clearplaintextedit.cpp
    widgets/clearspinbox.cpp
    widgets/iconbutton.cpp
    widgets/pathselection.cpp
    paletteeditor/paletteeditor.cpp
    paletteeditor/colorbutton.cpp
    misc/recentmenumanager.cpp)
set(WIDGETS_UI_FILES
    aboutdialog/aboutdialog.ui
    enterpassworddialog/enterpassworddialog.ui
    settingsdialog/settingsdialog.ui
    settingsdialog/qtappearanceoptionpage.ui
    settingsdialog/qtlanguageoptionpage.ui
    settingsdialog/qtenvoptionpage.ui
    paletteeditor/paletteeditor.ui)
set(QT_TESTS buttonoverlay dialogs)
set(CMAKE_MODULE_FILES
    cmake/modules/AndroidApk.cmake cmake/modules/QtConfig.cmake cmake/modules/QtGuiConfig.cmake
    cmake/modules/QtLinkage.cmake cmake/modules/QtWebViewProviderConfig.cmake cmake/modules/QtJsProviderConfig.cmake)
set(CMAKE_TEMPLATE_FILES cmake/templates/qtconfig.h.in cmake/templates/webviewdefs.h.in cmake/templates/webviewincludes.h.in
                         cmake/templates/jsdefs.h.in cmake/templates/jsincludes.h.in)
if (ANDROID)
    list(APPEND CMAKE_MODULE_FILES)
    list(APPEND CMAKE_TEMPLATE_FILES cmake/templates/android-deployment.json.in)
endif ()

set(TS_FILES translations/${META_PROJECT_NAME}_zh_CN.ts translations/${META_PROJECT_NAME}_de_DE.ts
             translations/${META_PROJECT_NAME}_en_US.ts)

set(DOC_FILES README.md)

set(REQUIRED_ICONS
    dialog-cancel
    dialog-ok
    dialog-ok-apply
    document-open
    document-open-recent
    edit-clear
    go-next
    preferences-desktop-icons
    preferences-desktop-locale
    qtcreator
    system-file-manager
    system-run
    system-search
    window-close)

set(SCRIPT_FILES scripts/required_icons.sh)

# required to include CMake modules from own project directory
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" "${CMAKE_MODULE_PATH}")

# configure platform specific capslock detection for enterpassworddialog.cpp
if (WIN32
    OR (UNIX
        AND NOT APPLE
        AND NOT ANDROID))
    set(ENABLE_CAPSLOCK_DETECTION_BY_DEFAULT ON)
else ()
    set(ENABLE_CAPSLOCK_DETECTION_BY_DEFAULT OFF)
endif ()
option(CAPSLOCK_DETECTION "enables capslock detection" ${ENABLE_CAPSLOCK_DETECTION_BY_DEFAULT})
if (CAPSLOCK_DETECTION)
    if (WIN32)
        # WinAPI provides functions to provide capslock detection
        set(HAVE_PLATFORM_SPECIFIC_CAPSLOCK_DETECTION ON)
    else ()
        # X11 can provide functions for capslock detection under non-Windows environments
        find_package(X11)
        if (X11_FOUND)
            list(APPEND LIBRARIES ${X11_LIBRARIES})
            set(HAVE_PLATFORM_SPECIFIC_CAPSLOCK_DETECTION ON)
        endif ()
    endif ()
    if (NOT HAVE_PLATFORM_SPECIFIC_CAPSLOCK_DETECTION)
        message(FATAL_ERROR "No backend for capslock detection found (WinAPI or X11 must be provided)")
    endif ()
    set_property(
        SOURCE enterpassworddialog/enterpassworddialog.cpp
        APPEND
        PROPERTY COMPILE_DEFINITIONS ${META_PROJECT_VARNAME}_PLATFORM_SPECIFIC_CAPSLOCK_DETECTION)
endif ()

# configure support for D-Bus notifications
if (UNIX
    AND NOT APPLE
    AND NOT ANDROID)
    set(ENABLE_DBUS_NOTIFICATIONS_BY_DEFAULT ON)
else ()
    set(ENABLE_DBUS_NOTIFICATIONS_BY_DEFAULT OFF)
endif ()
option(DBUS_NOTIFICATIONS "enables support for D-Bus notifications" ${ENABLE_DBUS_NOTIFICATIONS_BY_DEFAULT})
set(DBUS_NOTIFICATIONS_FILE_NAME misc/dbusnotification)
if (DBUS_NOTIFICATIONS)
    list(APPEND HEADER_FILES ${DBUS_NOTIFICATIONS_FILE_NAME}.h)
    list(APPEND SRC_FILES ${DBUS_NOTIFICATIONS_FILE_NAME}.cpp)
    list(APPEND DBUS_FILES dbus/org.freedesktop.Notifications.xml)
    list(APPEND META_PUBLIC_COMPILE_DEFINITIONS ${META_PROJECT_VARNAME}_SUPPORT_DBUS_NOTIFICATIONS)
    list(APPEND QT_TESTS dbusnotification)
    message(STATUS "D-Bus notifications enabled")
else ()
    list(APPEND EXCLUDED_FILES ${DBUS_NOTIFICATIONS_FILE_NAME}.h ${DBUS_NOTIFICATIONS_FILE_NAME}.cpp)
    message(STATUS "D-Bus notifications disabled")
endif ()

# find c++utilities
set(CONFIGURATION_PACKAGE_SUFFIX
    ""
    CACHE STRING "sets the suffix for find_package() calls to packages configured via c++utilities")
set(PACKAGE_NAMESPACE
    ""
    CACHE STRING "sets the namespace (prefix) for find_package() calls to packages configured via c++utilities")
if (PACKAGE_NAMESPACE)
    set(PACKAGE_NAMESPACE_PREFIX "${PACKAGE_NAMESPACE}-")
endif ()
find_package(${PACKAGE_NAMESPACE_PREFIX}c++utilities${CONFIGURATION_PACKAGE_SUFFIX} 5.5.0 REQUIRED)
use_cpp_utilities()

# include modules to apply configuration
include(BasicConfig)
include(QtGuiConfig)

# add further Qt modules (which are not automatically detected)
set(META_PUBLIC_QT_MODULES Core ${ADDITIONAL_QT_MODULES})

# include further modules to apply configuration
include(QtConfig)
include(WindowsResources)
include(LibraryTarget)
include(Doxygen)
include(ConfigHeader)

# configure test target
include(TestUtilities)
set(QT_TEST_LIBRARIES ${CPP_UTILITIES_LIB} ${META_TARGET_NAME})
use_qt_module(LIBRARIES_VARIABLE "QT_TEST_LIBRARIES" PREFIX "${QT_PACKAGE_PREFIX}" MODULE "Test")
foreach (TEST ${QT_TESTS})
    configure_test_target(TEST_NAME "${TEST}_tests" SRC_FILES "tests/${TEST}.cpp" LIBRARIES "${QT_TEST_LIBRARIES}")
endforeach ()

=== debian/changelog ===
martchus-qtutilities (6.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop 0001-Clarify-that-license-is-GPL-2-or-later.patch; this commit is
    present in this release.
  * Update copyright file with upstream changes.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 11 Apr 2022 15:28:33 -0400

martchus-qtutilities (6.5.3-2) unstable; urgency=medium

  * Cherry pick 0001-Clarify-that-license-is-GPL-2-or-later.patch from
    upstream.
  * copyright: Restore claim of GPL-2+ license, which is what upstream
    intends, and update upstream copyright years.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 17 Mar 2022 15:33:51 -0400

martchus-qtutilities (6.5.3-1) unstable; urgency=medium

  [ Hannah Rittich and Nicholas D Steeves]
  * Initial release. Closes: #998179

 -- Nicholas D Steeves <sten@debian.org>  Sun, 13 Mar 2022 19:36:33 -0400

=== debian/control ===
Source: martchus-qtutilities
Section: libs
Priority: optional
Maintainer: Hannah Rittich <void@rittich.net>
Uploaders: Nicholas D Steeves <sten@debian.org>
Build-Depends: cmake, debhelper-compat (= 13),
 libmartchus-c++utilities-dev, qtbase5-dev, qttools5-dev
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/Martchus/qtutilities
Vcs-Browser: https://salsa.debian.org/debian/martchus-qtutilities
Vcs-Git: https://salsa.debian.org/debian/martchus-qtutilities.git

Package: libmartchus-qtutilities6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: common Qt related functionality used by Martchus' applications
 Martchus-qtutilities contains Qt-related C++ classes and routines for such
 things as the dialogs, widgets, and models used in Martchus' applications.

Package: libmartchus-qtutilities-dev
Architecture: any
Multi-Arch: no
Depends: ${misc:Depends}, ${shlibs:Depends}, libmartchus-qtutilities6(= ${binary:Version}),
 libmartchus-c++utilities-dev, qtbase5-dev
Section: libdevel
Description: common Qt related functionality used by Martchus' applications (headers)
 Martchus-qtutilities contains Qt-related C++ classes and routines for such
 things as the dialogs, widgets, and models used in Martchus' applications.
 .
 This is the development version of the library. You will need this only if
 you intend to compile programs that use this library.

## martchus-qtutilities 6.7.0

=== debian/changelog ===
martchus-qtutilities (6.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to copyright file.
  * Require libmartchus-c++utilities-dev (>= 5.18.0-1~).

 -- Nicholas D Steeves <sten@debian.org>  Fri, 19 Aug 2022 18:32:53 -0400

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,11 @@
 Priority: optional
 Maintainer: Hannah Rittich <void@rittich.net>
 Uploaders: Nicholas D Steeves <sten@debian.org>
-Build-Depends: cmake, debhelper-compat (= 13),
- libmartchus-c++utilities-dev, qtbase5-dev, qttools5-dev
+Build-Depends: cmake
+             , debhelper-compat (= 13)
+             , libmartchus-c++utilities-dev (>= 5.18.0-1~)
+             , qtbase5-dev
+             , qttools5-dev
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Homepage: https://github.com/Martchus/qtutilities
@@ -22,8 +25,10 @@
 Package: libmartchus-qtutilities-dev
 Architecture: any
 Multi-Arch: no
-Depends: ${misc:Depends}, ${shlibs:Depends}, libmartchus-qtutilities6(= ${binary:Version}),
- libmartchus-c++utilities-dev, qtbase5-dev
+Depends: ${misc:Depends}, ${shlibs:Depends}
+       , libmartchus-qtutilities6(= ${binary:Version})
+       , libmartchus-c++utilities-dev
+       , qtbase5-dev
 Section: libdevel
 Description: common Qt related functionality used by Martchus' applications (headers)
  Martchus-qtutilities contains Qt-related C++ classes and routines for such

## martchus-qtutilities 6.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 set(META_APP_DESCRIPTION
     "Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models")
 set(META_VERSION_MAJOR 6)
-set(META_VERSION_MINOR 6)
+set(META_VERSION_MINOR 8)
 set(META_VERSION_PATCH 0)
 set(META_APP_VERSION ${META_VERSION_MAJOR}.${META_VERSION_MINOR}.${META_VERSION_PATCH})
 
@@ -198,7 +198,7 @@
 
 # configure test target
 include(TestUtilities)
-set(QT_TEST_LIBRARIES ${CPP_UTILITIES_LIB} ${META_TARGET_NAME})
+list(APPEND QT_TEST_LIBRARIES ${CPP_UTILITIES_LIB} ${META_TARGET_NAME})
 use_qt_module(LIBRARIES_VARIABLE "QT_TEST_LIBRARIES" PREFIX "${QT_PACKAGE_PREFIX}" MODULE "Test")
 foreach (TEST ${QT_TESTS})
     configure_test_target(TEST_NAME "${TEST}_tests" SRC_FILES "tests/${TEST}.cpp" LIBRARIES "${QT_TEST_LIBRARIES}")

=== debian/changelog ===
martchus-qtutilities (6.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Swap Uploader and Maintainer.  Hannah Rittich has been MIA since December
    2021.  This action will be reverted upon confirmation of intent to
    maintain martchus-qtutilities.
  * Require libmartchus-c++utilities-dev (>= 5.19.0-1~).

 -- Nicholas D Steeves <sten@debian.org>  Thu, 22 Sep 2022 22:08:19 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: martchus-qtutilities
 Section: libs
 Priority: optional
-Maintainer: Hannah Rittich <void@rittich.net>
-Uploaders: Nicholas D Steeves <sten@debian.org>
+Maintainer: Nicholas D Steeves <sten@debian.org>
+Uploaders: Hannah Rittich <void@rittich.net>
 Build-Depends: cmake
              , debhelper-compat (= 13)
-             , libmartchus-c++utilities-dev (>= 5.18.0-1~)
+             , libmartchus-c++utilities-dev (>= 5.19.0-1~)
              , qtbase5-dev
              , qttools5-dev
 Rules-Requires-Root: no

=== debian/watch ===
version=4
https://github.com/Martchus/qtutilities/releases /Martchus/qtutilities/archive/refs/tags/v(.+)\.tar\.gz

## martchus-qtutilities 6.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 set(META_APP_DESCRIPTION
     "Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models")
 set(META_VERSION_MAJOR 6)
-set(META_VERSION_MINOR 8)
+set(META_VERSION_MINOR 9)
 set(META_VERSION_PATCH 0)
 set(META_APP_VERSION ${META_VERSION_MAJOR}.${META_VERSION_MINOR}.${META_VERSION_PATCH})

=== debian/changelog ===
martchus-qtutilities (6.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix watch file, because Github broke the releases mechanism.

 -- Nicholas D Steeves <sten@debian.org>  Wed, 12 Oct 2022 15:37:49 -0400

## martchus-qtutilities 6.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 set(META_APP_DESCRIPTION
     "Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models")
 set(META_VERSION_MAJOR 6)
-set(META_VERSION_MINOR 9)
+set(META_VERSION_MINOR 10)
 set(META_VERSION_PATCH 0)
 set(META_APP_VERSION ${META_VERSION_MAJOR}.${META_VERSION_MINOR}.${META_VERSION_PATCH})

=== debian/changelog ===
martchus-qtutilities (6.10.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Nicholas D Steeves ]
  * New upstream release.
  * Require libmartchus-c++utilities-dev (>= 5.20.0-1~).

 -- Nicholas D Steeves <sten@debian.org>  Tue, 15 Nov 2022 16:50:42 -0500

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Hannah Rittich <void@rittich.net>
 Build-Depends: cmake
              , debhelper-compat (= 13)
-             , libmartchus-c++utilities-dev (>= 5.19.0-1~)
+             , libmartchus-c++utilities-dev (>= 5.20.0-1~)
              , qtbase5-dev
              , qttools5-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/Martchus/qtutilities
 Vcs-Browser: https://salsa.debian.org/debian/martchus-qtutilities
 Vcs-Git: https://salsa.debian.org/debian/martchus-qtutilities.git

## martchus-qtutilities 6.13.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.3.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.17.0 FATAL_ERROR)
 
 # meta data
 set(META_PROJECT_NAME qtutilities)
@@ -9,8 +9,8 @@
 set(META_APP_DESCRIPTION
     "Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models")
 set(META_VERSION_MAJOR 6)
-set(META_VERSION_MINOR 10)
-set(META_VERSION_PATCH 0)
+set(META_VERSION_MINOR 13)
+set(META_VERSION_PATCH 4)
 set(META_APP_VERSION ${META_VERSION_MAJOR}.${META_VERSION_MINOR}.${META_VERSION_PATCH})
 
 project(${META_PROJECT_NAME})
@@ -116,28 +116,35 @@
 # required to include CMake modules from own project directory
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" "${CMAKE_MODULE_PATH}")
 
+# find c++utilities
+set(CONFIGURATION_PACKAGE_SUFFIX
+    ""
+    CACHE STRING "sets the suffix for find_package() calls to packages configured via c++utilities")
+set(PACKAGE_NAMESPACE
+    ""
+    CACHE STRING "sets the namespace (prefix) for find_package() calls to packages configured via c++utilities")
+if (PACKAGE_NAMESPACE)
+    set(PACKAGE_NAMESPACE_PREFIX "${PACKAGE_NAMESPACE}-")
+endif ()
+find_package(${PACKAGE_NAMESPACE_PREFIX}c++utilities${CONFIGURATION_PACKAGE_SUFFIX} 5.5.0 REQUIRED)
+use_cpp_utilities()
+
 # configure platform specific capslock detection for enterpassworddialog.cpp
-if (WIN32
-    OR (UNIX
-        AND NOT APPLE
-        AND NOT ANDROID))
-    set(ENABLE_CAPSLOCK_DETECTION_BY_DEFAULT ON)
+if (WIN32)
+    set(HAVE_PLATFORM_SPECIFIC_CAPSLOCK_DETECTION ON)
 else ()
-    set(ENABLE_CAPSLOCK_DETECTION_BY_DEFAULT OFF)
+    include(3rdParty)
+    use_package(TARGET_NAME X11::X11 PACKAGE_NAME X11 OPTIONAL)
+    if (TARGET X11::X11)
+        set_property(
+            SOURCE enterpassworddialog/enterpassworddialog.cpp
+            APPEND
+            PROPERTY COMPILE_DEFINITIONS X_AVAILABLE)
+        set(HAVE_PLATFORM_SPECIFIC_CAPSLOCK_DETECTION ON)
+    endif ()
 endif ()
-option(CAPSLOCK_DETECTION "enables capslock detection" ${ENABLE_CAPSLOCK_DETECTION_BY_DEFAULT})
+option(CAPSLOCK_DETECTION "enables capslock detection" ${HAVE_PLATFORM_SPECIFIC_CAPSLOCK_DETECTION})
 if (CAPSLOCK_DETECTION)
-    if (WIN32)
-        # WinAPI provides functions to provide capslock detection
-        set(HAVE_PLATFORM_SPECIFIC_CAPSLOCK_DETECTION ON)
-    else ()
-        # X11 can provide functions for capslock detection under non-Windows environments
-        find_package(X11)
-        if (X11_FOUND)
-            list(APPEND LIBRARIES ${X11_LIBRARIES})
-            set(HAVE_PLATFORM_SPECIFIC_CAPSLOCK_DETECTION ON)
-        endif ()
-    endif ()
     if (NOT HAVE_PLATFORM_SPECIFIC_CAPSLOCK_DETECTION)
         message(FATAL_ERROR "No backend for capslock detection found (WinAPI or X11 must be provided)")
     endif ()
@@ -169,19 +176,6 @@
     message(STATUS "D-Bus notifications disabled")
 endif ()
 
-# find c++utilities
-set(CONFIGURATION_PACKAGE_SUFFIX
-    ""
-    CACHE STRING "sets the suffix for find_package() calls to packages configured via c++utilities")
-set(PACKAGE_NAMESPACE
-    ""
-    CACHE STRING "sets the namespace (prefix) for find_package() calls to packages configured via c++utilities")
-if (PACKAGE_NAMESPACE)
-    set(PACKAGE_NAMESPACE_PREFIX "${PACKAGE_NAMESPACE}-")
-endif ()
-find_package(${PACKAGE_NAMESPACE_PREFIX}c++utilities${CONFIGURATION_PACKAGE_SUFFIX} 5.5.0 REQUIRED)
-use_cpp_utilities()
-
 # include modules to apply configuration
 include(BasicConfig)
 include(QtGuiConfig)

=== debian/changelog ===
martchus-qtutilities (6.13.4-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:40:11 +0000

martchus-qtutilities (6.13.4-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:04:23 +0000

martchus-qtutilities (6.13.4-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:53:41 +0000

martchus-qtutilities (6.13.4-1) unstable; urgency=medium

  * New upstream release.
  * Update required dependencies.
  * Drop Hannah Rittich, who has been MIA for two years, from Uploaders.
  * Update copyright file with upstream changes, and update my copyright
    years.
  * Update standards version to 4.6.2 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Tue, 16 Jan 2024 18:38:57 -0500

martchus-qtutilities (6.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Update dependencies.

 -- Nicholas D Steeves <sten@debian.org>  Wed, 12 Jul 2023 16:34:37 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: martchus-qtutilities
 Section: libs
 Priority: optional
-Maintainer: Nicholas D Steeves <sten@debian.org>
-Uploaders: Hannah Rittich <void@rittich.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nicholas D Steeves <sten@debian.org>
 Build-Depends: cmake
              , debhelper-compat (= 13)
-             , libmartchus-c++utilities-dev (>= 5.20.0-1~)
+             , libmartchus-c++utilities-dev (>= 5.24.5-1~)
              , qtbase5-dev
              , qttools5-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/Martchus/qtutilities
 Vcs-Browser: https://salsa.debian.org/debian/martchus-qtutilities
 Vcs-Git: https://salsa.debian.org/debian/martchus-qtutilities.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export BUILD_DIR=debian/build

%:
	dh $@ --builddirectory=$(BUILD_DIR)

override_dh_auto_configure:
	dh_auto_configure --builddirectory=$(BUILD_DIR) -- \
		-DBUILD_SHARED_LIBS=ON \
		-DNAMESPACE=martchus \
		-DPACKAGE_NAMESPACE=martchus

override_dh_auto_test:
	QT_QPA_PLATFORM=offscreen $(MAKE) -C $(BUILD_DIR) check

## martchus-qtutilities 6.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,8 @@
 set(META_APP_DESCRIPTION
     "Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models")
 set(META_VERSION_MAJOR 6)
-set(META_VERSION_MINOR 13)
-set(META_VERSION_PATCH 4)
+set(META_VERSION_MINOR 14)
+set(META_VERSION_PATCH 0)
 set(META_APP_VERSION ${META_VERSION_MAJOR}.${META_VERSION_MINOR}.${META_VERSION_PATCH})
 
 project(${META_PROJECT_NAME})

## martchus-qtutilities 6.14.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
     "Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models")
 set(META_VERSION_MAJOR 6)
 set(META_VERSION_MINOR 14)
-set(META_VERSION_PATCH 0)
+set(META_VERSION_PATCH 1)
 set(META_APP_VERSION ${META_VERSION_MAJOR}.${META_VERSION_MINOR}.${META_VERSION_PATCH})
 
 project(${META_PROJECT_NAME})

=== debian/changelog ===
martchus-qtutilities (6.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Update required dependencies.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 21 Jun 2024 21:58:45 -0400

martchus-qtutilities (6.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update required dependencies.
  * Update standards version to 4.7.0 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Thu, 25 Apr 2024 19:29:20 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: martchus-qtutilities
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nicholas D Steeves <sten@debian.org>
+Maintainer: Nicholas D Steeves <sten@debian.org>
 Build-Depends: cmake
              , debhelper-compat (= 13)
-             , libmartchus-c++utilities-dev (>= 5.24.5-1~)
+             , libmartchus-c++utilities-dev (>= 5.24.9-1~)
              , qtbase5-dev
              , qttools5-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/Martchus/qtutilities
 Vcs-Browser: https://salsa.debian.org/debian/martchus-qtutilities
 Vcs-Git: https://salsa.debian.org/debian/martchus-qtutilities.git

## martchus-qtutilities 6.14.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,8 +10,12 @@
     "Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models")
 set(META_VERSION_MAJOR 6)
 set(META_VERSION_MINOR 14)
-set(META_VERSION_PATCH 1)
+set(META_VERSION_PATCH 6)
 set(META_APP_VERSION ${META_VERSION_MAJOR}.${META_VERSION_MINOR}.${META_VERSION_PATCH})
+set(META_GUI_OPTIONAL ON)
+
+# link explicitly against Qt Gui
+list(APPEND ADDITIONAL_QT_MODULES Gui)
 
 project(${META_PROJECT_NAME})
 
@@ -25,12 +29,13 @@
     misc/desktoputils.h
     misc/conversion.h
     misc/compat.h
+    settingsdialog/qtsettings.h
     models/checklistmodel.h
     resources/qtconfigarguments.h
     resources/resources.h
     resources/importplugin.h)
-set(SRC_FILES misc/dialogutils.cpp misc/desktoputils.cpp models/checklistmodel.cpp resources/qtconfigarguments.cpp
-              resources/resources.cpp)
+set(SRC_FILES misc/dialogutils.cpp misc/desktoputils.cpp settingsdialog/qtsettings.cpp models/checklistmodel.cpp
+              resources/qtconfigarguments.cpp resources/resources.cpp)
 set(RES_FILES resources/qtutilsicons.qrc)
 
 set(WIDGETS_HEADER_FILES
@@ -41,7 +46,6 @@
     settingsdialog/optioncategorymodel.h
     settingsdialog/optionpage.h
     settingsdialog/settingsdialog.h
-    settingsdialog/qtsettings.h
     widgets/buttonoverlay.h
     widgets/clearcombobox.h
     widgets/clearlineedit.h
@@ -60,7 +64,6 @@
     settingsdialog/optioncategorymodel.cpp
     settingsdialog/optionpage.cpp
     settingsdialog/settingsdialog.cpp
-    settingsdialog/qtsettings.cpp
     widgets/buttonoverlay.cpp
     widgets/clearcombobox.cpp
     widgets/clearlineedit.cpp
@@ -80,15 +83,10 @@
     settingsdialog/qtenvoptionpage.ui
     paletteeditor/paletteeditor.ui)
 set(QT_TESTS buttonoverlay dialogs)
-set(CMAKE_MODULE_FILES
-    cmake/modules/AndroidApk.cmake cmake/modules/QtConfig.cmake cmake/modules/QtGuiConfig.cmake
-    cmake/modules/QtLinkage.cmake cmake/modules/QtWebViewProviderConfig.cmake cmake/modules/QtJsProviderConfig.cmake)
+set(CMAKE_MODULE_FILES cmake/modules/QtConfig.cmake cmake/modules/QtGuiConfig.cmake cmake/modules/QtLinkage.cmake
+                       cmake/modules/QtWebViewProviderConfig.cmake cmake/modules/QtJsProviderConfig.cmake)
 set(CMAKE_TEMPLATE_FILES cmake/templates/qtconfig.h.in cmake/templates/webviewdefs.h.in cmake/templates/webviewincludes.h.in
                          cmake/templates/jsdefs.h.in cmake/templates/jsincludes.h.in)
-if (ANDROID)
-    list(APPEND CMAKE_MODULE_FILES)
-    list(APPEND CMAKE_TEMPLATE_FILES cmake/templates/android-deployment.json.in)
-endif ()
 
 set(TS_FILES translations/${META_PROJECT_NAME}_zh_CN.ts translations/${META_PROJECT_NAME}_de_DE.ts
              translations/${META_PROJECT_NAME}_en_US.ts)

=== debian/changelog ===
martchus-qtutilities (6.14.6-1) unstable; urgency=medium

  * New upstream release.
  * Update required dependencies.
  * Migrate to Qt6.
  * Import updated upstream copyright statements, and update my copyright
    years.
  * Update standards version to 4.7.2 (no changes required).
  * Upload to unstable.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 14 Mar 2025 09:13:02 -0600

martchus-qtutilities (6.14.3-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update required dependencies.

 -- Nicholas D Steeves <sten@debian.org>  Wed, 13 Nov 2024 07:28:26 -0500

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: Nicholas D Steeves <sten@debian.org>
 Build-Depends: cmake
              , debhelper-compat (= 13)
-             , libmartchus-c++utilities-dev (>= 5.24.9-1~)
-             , qtbase5-dev
-             , qttools5-dev
+             , libmartchus-c++utilities-dev (>= 5.27.3-1~)
+             , qt6-tools-dev
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/Martchus/qtutilities
 Vcs-Browser: https://salsa.debian.org/debian/martchus-qtutilities
 Vcs-Git: https://salsa.debian.org/debian/martchus-qtutilities.git

=== debian/watch ===
version=4
https://github.com/Martchus/qtutilities/tags \
  .*/v?(\d\S+)\.tar\.gz

## martchus-qtutilities 6.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,8 @@
 set(META_APP_DESCRIPTION
     "Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models")
 set(META_VERSION_MAJOR 6)
-set(META_VERSION_MINOR 14)
-set(META_VERSION_PATCH 6)
+set(META_VERSION_MINOR 15)
+set(META_VERSION_PATCH 0)
 set(META_APP_VERSION ${META_VERSION_MAJOR}.${META_VERSION_MINOR}.${META_VERSION_PATCH})
 set(META_GUI_OPTIONAL ON)

=== debian/changelog ===
martchus-qtutilities (6.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Update required dependencies.
  * Set upstream metadata fields: Repository.
  * Resolve lintian W: old-fsf-address-in-copyright-file by referring to
    GNU's website.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 04 Apr 2025 21:17:09 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Nicholas D Steeves <sten@debian.org>
 Build-Depends: cmake
              , debhelper-compat (= 13)
-             , libmartchus-c++utilities-dev (>= 5.27.3-1~)
+             , libmartchus-c++utilities-dev (>= 5.28.0-1~)
              , qt6-tools-dev
 Rules-Requires-Root: no
 Standards-Version: 4.7.2

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,8 @@
 	dh_auto_configure --builddirectory=$(BUILD_DIR) -- \
 		-DBUILD_SHARED_LIBS=ON \
 		-DNAMESPACE=martchus \
-		-DPACKAGE_NAMESPACE=martchus
+		-DPACKAGE_NAMESPACE=martchus \
+		-DQT_PACKAGE_PREFIX=Qt6
 
 override_dh_auto_test:
 	QT_QPA_PLATFORM=offscreen $(MAKE) -C $(BUILD_DIR) check
